Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class CompositeNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
          org.jbpm.ruleflow.core.factory.CompositeNodeFactory

    public class CompositeNodeFactory

extends RuleFlowNodeContainerFactory

Constructor Summary
`CompositeNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`RuleFlowNodeContainerFactory` | `done()`
`CompositeNodeFactory` | `exceptionHandler(String exception, ExceptionHandler exceptionHandler)`
`CompositeNodeFactory` | `exceptionHandler(String exception, String dialect, String action)`
`protected CompositeContextNode` | `getCompositeNode()`
`CompositeNodeFactory` | `linkIncomingConnections(long nodeId)`
`CompositeNodeFactory` | `linkOutgoingConnections(long nodeId)`
`CompositeNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type)`
`CompositeNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, Object value)`

Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
`actionNode, compositeNode, connection, dynamicNode, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeNodeFactory

    public CompositeNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                NodeContainer nodeContainer,
                                long id)

Method Detail

### getCompositeNode

    protected CompositeContextNode getCompositeNode()

### variable

    public CompositeNodeFactory variable(String name,
                                         org.drools.core.process.core.datatype.DataType type)

### variable

    public CompositeNodeFactory variable(String name,
                                         org.drools.core.process.core.datatype.DataType type,
                                         Object value)

### exceptionHandler

    public CompositeNodeFactory exceptionHandler(String exception,
                                                 ExceptionHandler exceptionHandler)

### exceptionHandler

    public CompositeNodeFactory exceptionHandler(String exception,
                                                 String dialect,
                                                 String action)

### linkIncomingConnections

    public CompositeNodeFactory linkIncomingConnections(long nodeId)

### linkOutgoingConnections

    public CompositeNodeFactory linkOutgoingConnections(long nodeId)

### done

    public RuleFlowNodeContainerFactory done()

  Specified by:
    `done` in class `RuleFlowNodeContainerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.